# すぐわかる電子出版
## まえがき
　本書は、誰にでもやさしく電子書籍を作っていただくことを目的にした入門書です。
　説明をコンパクトにするために、以下のような環境にしぼらせてもらいました。

* Windowsパソコンを使用
* 原稿の作成に秀丸エディタを使用
* {ＥＰＵＢ|イーパブ}ファイルの作成にでんでんコンバーターを使用
* リフロー型（用語はあとで解説）で、縦書きの本を作る
* ＫＤＰ（Kindle Direct Print）での出版

　特殊なことはやっていないので、Mac、Linuxの人も自分の環境に合わせて読み替えることは簡単だと思います。
　一方、Windowsの操作や秀丸の設定など、ふつう電子書籍出版の本には書いていない初歩的なこともあえて書いています。
　本書では電子書籍の作成を６ステップに分けて考えていて、各ステップを６０分ぐらいでマスターできるように設計しています。ですから６時間もあれば電子出版に漕ぎつけられる計算です。（もちろん「原稿の執筆」、「画像の作成」、「校正」は別ですが！）
　じっさい、電子書籍の出版は、思ったよりも簡単です。さあ、「まえがき」なんか読んでいる時間を惜しんで、すぐに本文に進んでください！
<p><br /></p>
　２０１５年吉日　深澤千尋

====

## ステップ１：いきなり電子書籍を作ろう！
　ここでは、あなたのオリジナルの電子書籍を作る前に、すでに途中まで電子書籍になりかかっているサンプルファイル一式を使って、サンプル電子書籍を作ってみましょう。
　あなたが今まさにお読みの電子書籍、「すぐわかる電子出版」の、制作途中バージョンのファイルを、インターネットで公開しますので、それを変換して電子書籍を作成し、iPhoneやAndroid端末で読めるまでの工程を体験してみてください。
<p><br /></p>
　コンピューターで作業をするときは、以下の３つを意識することが大切です。
* 何のファイルを入力（Input）するのか
* どのプログラムで処理（Process）するのか
* 何のファイルを出力（Output）
<p><br /></p>
　本書のやり方で電子書籍を作成してＫＤＰで出版するには、以下の５つのプロセスを取ります。
<p><br /></p>
　①脳から文章を取り出し（入力）、ソフトで執筆して（処理）、文章が入ったテキストファイルを作成する
　②脳や風景から画像を取り出し（入力）、デジカメやソフトで加工して（処理）、画像ファイルを作成する
　③文章と画像を入力して、でんでんコンバーターで処理し、ＥＰＵＢファイルを出力する
　④ＥＰＵＢファイルを入力して、Kindle Previewerで処理し、Android用のＭＯＢＩファイルとiPhone用のＡＺＫファイルを作成する
　⑤表紙画像のＪＰＥＧとステップ３で作ったＥＰＵＢファイルを、ＫＤＰのサイトにアップロードして、出版する
<p><br /></p>
　ここでは①と②までは完成したサンプルファイルを、本書の読者のためのスペシャルサイトに置きますので、読者のみなさんはダウンロードして、③と④を体験してください。ただの文書と画像に過ぎなかったファイルが、意外とあっさり電子書籍になって、携帯端末で見られるようになるのでびっくりされるでしょう。
>ＭＥＭＯ：
>⑤は実行しないでください！ サンプルファイルをＫＤＰ出版されたら困ります！
### １－１ サンプルファイルをダウンロードする
　ではサンプルファイルをダウンロードしましょう。以下の手順に従ってください。
<p><br /></p>
　①お手元のブラウザーでアドレスバーに「query1000.com」（すべて半角英数字、最初は小文字のＱ）にアクセスする。「深澤千尋サポートページ」が表示される（図１－１Ａ参照）
　②「すぐわかる電子書籍」のコーナーを見つける
　③説明文の中に「サンプルファイル」というハイパーリンクを見つけ、クリックする。「densho_sample.zipを開く」ダイアログが表示される（図１－１Ｂ参照）
　④「このファイルをどのように処理するか選んでください」の中で「ファイルを保存する」ボタンをクリックする
　⑤「ＯＫ」をクリックする
![図１－１Ａと図１－１Ｂ：ファイルを保存するまで](zu1-1AB.jpg)
　ブラウザーによって動作が異なりますが、たいてい「Downloads」フォルダーにファイルが格納されます。このフォルダーに以下の手順でアクセスしてください。
<p><br /></p>
　①スタートボタン（画面の左下の「田」みたいなボタン）をクリックする。スタートメニューが開く
　②「エクスプローラー」をクリックする。エクスプローラーウィンドウが開く（図１－１Ｃ参照）
　③「Downloads」フォルダーのアイコンを見つける。見つかった場合はアイコンをダブルクリックする。見つからなかった場合は画面左上のアドレスボックスに「Downloads」と入力してEnterキーを押す（図１－１Ｄ参照）。Downloadsフォルダーが表示される
　④「densho_sample.zip」の圧縮ファイルを見つける。右クリックして「すべて展開」をクリックする（図１－１Ｅ参照）
![図１－１ＣからＥ：圧縮ファイルを見つけるまで](zu1-1CE.jpg)
　⑤「展開先の選択とファイルの展開」というダイアログで、「Downloads」の下に「densho_sample」というフォルダーを作り、その中にファイルを展開していいですか、と言われる（図１－１Ｆ）。受け入れて「展開」をクリックする。圧縮ファイルが戻されて６つのファイルになる（図１－１Ｇ）
<p><br /></p>
　とりあえずここまで来てください。
![図１－１ＦからＧ：圧縮ファイルを展開する](zu1-1FG.jpg)
>ＭＥＭＯ：
>　ファイル名はcover.jpgのような形式になっています。ここで「.jpg」の部分のことを拡張子と言います。ところが、この拡張子がパソコンの設定によって表示されない場合があります。この場合はファイル名は「cover」のように見えます。その場合は、エクスプローラーの「表示」タブの「ファイル名拡張子」ボックスをオン（チェックマークが入る状態）にしてください（図１－１Ｇ参照）。
<p><br /></p>
>ＭＥＭＯ：
>サンプル版の本文はここで終わりです。以降はダミーの見出しです。実際に完成した「すぐわかる電子書籍」では、ここから後の見出し、および、ここまでお読みになった本文が変更していることがあります。
### １－２ サンプルファイルの中身を見てみよう
### １－３ 「でんでんコンバーター」でＥＰＵＢファイルを作る
### １－４ 「Kindle Previewer」でＭＯＢＩ、ＡＺＫに変換する
### １－５ iPhone、Androidにコピーする
### １－６ 読んでみよう！

====

## ステップ２：原稿を執筆しよう！
### ２－１ 秀丸を設定する
#### ２－１－１　ファイルの関連付け設定
#### アウトライン設定
#### 文字コードはUTF-8で
### ２－２ アウトライン機能を駆使して原稿の構想を練る
### ２－３ これだけでＯＫ？ でんでんマークダウン厳選機能
### ２－３－１　段落
### ２－３－２　空行
### ２－３－３　改ページ
### ２－３－４　文字列の強調
### ２－３－５　ルビ（ふりがな）
### ２－３－６　文字列の強調
### ２－３－７　箇条書き
#### 黒丸箇条書き
#### 通し番号箇条書き
### ２－３－８　画像の挿入
### ２－４ 秀丸の検索置換テクニック
#### ２－４－１ 確認しながら一括置換
#### ２－４－２ 串刺し検索grep

====

## ステップ３：画像を作成しよう！
### ３－１　自分でイラストを描く
### ３－２　自分で写真を撮る
### ３－３　無償のイラストを探す
### ３－４　無償の写真を探す
### ３－５　表紙を作る
### ３－６　本文図版、挿絵を作る

====

## ステップ４：でんでんコンバーターでＥＰＵＢに変換！
### ４－１　でんでんコンバーターでＥＰＵＢに変換
### ４－１－１　ファイルはそろってますか？
### ４－１－２　作ると便利なymlファイル
### ４－１－３　いざ、ＥＰＵＢ変換
### ４－１－４　あるあるエラー集
### ４－１－５　なに、このファイル名？
### ４－１－６　Validationを行う

====

## ステップ５：実際の携帯端末で表示させよう！
### ５－１　Kindle PreviewerでMOBIとAZKに変換
### ５－２ Kindle、iPhone、Androidにコピーする
### ５－４ 読んで、校正して、また変換！

====

## ステップ６：いざKindleで発売！
### ６－１　ＫＤＰアカウント登録
### ６－２　ＫＤＰ出版

====

## あとがき
### 作者について
